Paste Code
Paste Blends
Paste Images
%install_ext octavemagic.py

---------------------------------------------------------------------------
IOError Traceback (most recent call last)
<ipython-input-3-e45b97f168c7> in <module>()
----> 1 get_ipython().magic(u'install_ext octavemagic.py')

/home/kesten/VCP/Git/iPython/ipython/IPython/core/interactiveshell.pyc in magic(self, arg_s)
2162 magic_name, _, magic_arg_s = arg_s.partition(' ')
2163 magic_name = magic_name.lstrip(prefilter.ESC_MAGIC)
-> 2164 return self.run_line_magic(magic_name, magic_arg_s)
2165
2166 #-------------------------------------------------------------------------

/home/kesten/VCP/Git/iPython/ipython/IPython/core/interactiveshell.pyc in run_line_magic(self, magic_name, line)
2088 kwargs['local_ns'] = sys._getframe(stack_depth).f_locals
2089 with self.builtin_trap:
-> 2090 result = fn(*args,**kwargs)
2091 return result
2092

/home/kesten/VCP/Git/iPython/ipython/IPython/core/magics/extension.pyc in install_ext(self, parameter_s)

/home/kesten/VCP/Git/iPython/ipython/IPython/core/magic.pyc in <lambda>(f, *a, **k)
189 # but it's overkill for just that one bit of state.
190 def magic_deco(arg):
--> 191 call = lambda f, *a, **k: f(*a, **k)
192
193 if callable(arg):

/home/kesten/VCP/Git/iPython/ipython/IPython/core/magics/extension.pyc in install_ext(self, parameter_s)
45 try:
46 filename = self.shell.extension_manager.install_extension(args,
---> 47 opts.get('n'))
48 except ValueError as e:
49 print e

/home/kesten/VCP/Git/iPython/ipython/IPython/core/extensions.pyc in install_extension(self, url, filename)
154
155 filename = os.path.join(self.ipython_extension_dir, filename)
--> 156 copy(url, filename)
157 return filename

/usr/lib/python2.7/urllib.pyc in urlretrieve(url, filename, reporthook, data)
91 if not _urlopener:
92 _urlopener = FancyURLopener()
---> 93 return _urlopener.retrieve(url, filename, reporthook, data)
94 def urlcleanup():
95 if _urlopener:

/usr/lib/python2.7/urllib.pyc in retrieve(self, url, filename, reporthook, data)
237 except IOError:
238 pass
--> 239 fp = self.open(url, data)
240 try:
241 headers = fp.info()

/usr/lib/python2.7/urllib.pyc in open(self, fullurl, data)
205 try:
206 if data is None:
--> 207 return getattr(self, name)(url)
208 else:
209 return getattr(self, name)(url, data)

/usr/lib/python2.7/urllib.pyc in open_file(self, url)
460 return self.open_ftp(url)
461 else:
--> 462 return self.open_local_file(url)
463
464 def open_local_file(self, url):

/usr/lib/python2.7/urllib.pyc in open_local_file(self, url)
474 stats = os.stat(localname)
475 except OSError, e:
--> 476 raise IOError(e.errno, e.strerror, e.filename)
477 size = stats.st_size
478 modified = email.utils.formatdate(stats.st_mtime, usegmt=True)

IOError: [Errno 2] No such file or directory: 'octavemagic.py'
  1. %install_ext octavemagic.py
  2.  
  3. ---------------------------------------------------------------------------
  4. IOError                                   Traceback (most recent call last)
  5. <ipython-input-3-e45b97f168c7> in <module>()
  6. ----> 1 get_ipython().magic(u'install_ext octavemagic.py')
  7.  
  8. /home/kesten/VCP/Git/iPython/ipython/IPython/core/interactiveshell.pyc in magic(self, arg_s)
  9.    2162         magic_name, _, magic_arg_s = arg_s.partition(' ')
  10.    2163         magic_name = magic_name.lstrip(prefilter.ESC_MAGIC)
  11. -> 2164         return self.run_line_magic(magic_name, magic_arg_s)
  12.    2165
  13.    2166     #-------------------------------------------------------------------------
  14.  
  15. /home/kesten/VCP/Git/iPython/ipython/IPython/core/interactiveshell.pyc in run_line_magic(self, magic_name, line)
  16.    2088                 kwargs['local_ns'] = sys._getframe(stack_depth).f_locals
  17.    2089             with self.builtin_trap:
  18. -> 2090                 result = fn(*args,**kwargs)
  19.    2091             return result
  20.    2092
  21.  
  22. /home/kesten/VCP/Git/iPython/ipython/IPython/core/magics/extension.pyc in install_ext(self, parameter_s)
  23.  
  24. /home/kesten/VCP/Git/iPython/ipython/IPython/core/magic.pyc in <lambda>(f, *a, **k)
  25.     189     # but it's overkill for just that one bit of state.
  26.     190     def magic_deco(arg):
  27. --> 191         call = lambda f, *a, **k: f(*a, **k)
  28.     192
  29.     193         if callable(arg):
  30.  
  31. /home/kesten/VCP/Git/iPython/ipython/IPython/core/magics/extension.pyc in install_ext(self, parameter_s)
  32.      45         try:
  33.      46             filename = self.shell.extension_manager.install_extension(args,
  34. ---> 47                                                                  opts.get('n'))
  35.      48         except ValueError as e:
  36.      49             print e
  37.  
  38. /home/kesten/VCP/Git/iPython/ipython/IPython/core/extensions.pyc in install_extension(self, url, filename)
  39.     154
  40.     155         filename = os.path.join(self.ipython_extension_dir, filename)
  41. --> 156         copy(url, filename)
  42.     157         return filename
  43.  
  44. /usr/lib/python2.7/urllib.pyc in urlretrieve(url, filename, reporthook, data)
  45.      91     if not _urlopener:
  46.      92         _urlopener = FancyURLopener()
  47. ---> 93     return _urlopener.retrieve(url, filename, reporthook, data)
  48.      94 def urlcleanup():
  49.      95     if _urlopener:
  50.  
  51. /usr/lib/python2.7/urllib.pyc in retrieve(self, url, filename, reporthook, data)
  52.     237             except IOError:
  53.     238                 pass
  54. --> 239         fp = self.open(url, data)
  55.     240         try:
  56.     241             headers = fp.info()
  57.  
  58. /usr/lib/python2.7/urllib.pyc in open(self, fullurl, data)
  59.     205         try:
  60.     206             if data is None:
  61. --> 207                 return getattr(self, name)(url)
  62.     208             else:
  63.     209                 return getattr(self, name)(url, data)
  64.  
  65. /usr/lib/python2.7/urllib.pyc in open_file(self, url)
  66.     460             return self.open_ftp(url)
  67.     461         else:
  68. --> 462             return self.open_local_file(url)
  69.     463
  70.     464     def open_local_file(self, url):
  71.  
  72. /usr/lib/python2.7/urllib.pyc in open_local_file(self, url)
  73.     474             stats = os.stat(localname)
  74.     475         except OSError, e:
  75. --> 476             raise IOError(e.errno, e.strerror, e.filename)
  76.     477         size = stats.st_size
  77.     478         modified = email.utils.formatdate(stats.st_mtime, usegmt=True)
  78.  
  79. IOError: [Errno 2] No such file or directory: 'octavemagic.py'
go to heaven